package com.logicbig.example;

import java.awt.*;
import java.beans.PropertyEditor;
import java.beans.PropertyEditorManager;

public class DefaultPropEditorExample {
    public static void main(String[] args) {
        PropertyEditor editor = PropertyEditorManager.findEditor(Font.class);
        //font to text conversion
        editor.setValue(new Font("Dialog", Font.BOLD, 12));
        String asText = editor.getAsText();
        System.out.println(asText);

        //text to font conversion
        PropertyEditor editor2 = PropertyEditorManager.findEditor(Font.class);
        editor2.setAsText("SansSerif ITALIC 14");
        Object value = editor2.getValue();
        System.out.println(value);
    }
}