package com.logicbig.example;

import java.beans.*;

public class IntrospectorExample2 {
    public static void main (String[] args) throws IntrospectionException {
        //auto discovering ABeanBeanInfo
        BeanInfo beanInfo = Introspector.getBeanInfo(ABean.class);
        System.out.println(beanInfo.getClass());
        System.out.println(beanInfo.getBeanDescriptor()
                                   .getDisplayName());
    }

    public static class ABean {
        private String someStr;

        public String getSomeStr () {
            return someStr;
        }

        public void setSomeStr (String someStr) {
            this.someStr = someStr;
        }

    }

    public static class ABeanBeanInfo extends SimpleBeanInfo {
        @Override
        public BeanDescriptor getBeanDescriptor () {
            BeanDescriptor bd = new BeanDescriptor(ABean.class);
            bd.setDisplayName("A custom Bean display name");
            return bd;
        }
    }
}